package com.example.test.servlet;

import java.io.IOException;
import java.util.Hashtable;

import javax.annotation.Resource;
import javax.ejb.EJB;
import javax.enterprise.inject.Default;
import javax.enterprise.inject.Model;
import javax.inject.Inject;
import javax.inject.Named;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.servlet.ServletConfig;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.transaction.SystemException;
import javax.transaction.TransactionManager;

import com.example.test.bean.SimpleBean;

/**
 * Servlet implementation class IndexServlet
 */
@WebServlet("/index.do")
public class IndexServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;
	

	
	
	@EJB
	private SimpleBean bean;
	
	

	
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

		String echoStr = bean.echoFromRemoteEjb();

		request.setAttribute("EchoResponse",  echoStr);
		
		// forward to index.jsp
	    request.getRequestDispatcher("index.jsp").forward(request,response);
	}
	
    
}
