package com.example.test.bean;

import javax.annotation.Resource;
import javax.ejb.RemoteHome;
import javax.ejb.Stateless;
import javax.ejb.TransactionAttribute;
import javax.ejb.TransactionAttributeType;
import javax.transaction.SystemException;
import javax.transaction.TransactionManager;

import com.example.test.bean.remote.ISampleEjbHome21;

@Stateless
@RemoteHome(ISampleEjbHome21.class)
public class SampleEjb21 {
	
		@TransactionAttribute(TransactionAttributeType.MANDATORY)
		public String echo()  {
			System.out.println("SampleEjb21.echo invoked!");			
			return "echo...echo...echo";
		}
}
